#
#  Top-level Makefile for the Harvest distribution.
#
#  Makefile,v 1.13 1995/03/16 22:09:15 hardy Exp
#
#  Valid targets: 	
#	make all		Builds the Harvest distribution.
#  	make install		Installs the Harvest distribution.
#  	make clean 		Cleans up the distribution.
#  	make realclean		Completely cleans up the distribution.
#  	make reconfigure 	Forces a complete reconfiguration.
#  ----------------------------------------------------------------------
#  You can change the default installation by changing the prefix line.
#  By default, the software will install into /usr/local/harvest/.  For 
#  example, to install Harvest into a home directory, change prefix to:
#
#	prefix = /home/joe/harvest
#  
prefix = /usr/local/harvest

SUBDIRS	= src

all install clean realclean reconfigure:
	@for dir in $(SUBDIRS); do \
		echo Making $@ in $$dir; \
		(cd $$dir; $(MAKE) $(MFLAGS) prefix="$(prefix)" $@); \
	done
	@echo "Done building the Harvest system."
